*version 0.72beta3 April 15 2006*
  - This release fixes an ocassional crash in xmpgedit when adjusting the
    volume after playback has stopped.  Fixed the xmpgedit playto start time,
    which would play beyond the specified stop time in some circumstances.
    Added the command "Copy start time" to the edit menu for xmpgedit.
    Fixed mpgedit playback and editing with the -I option, which would
    frequently repeat up to a second of material at the start of the edit.

*version 0.72beta2 February 25 2006*
  - This release distributes the GTK+2 libraries with the
    MacOS X disk image file for graphical xmpgedit application.



*version 0.72beta1 February 17 2006*
  - This release adds MacOS X disk image files for distributing both
    the command line mpgedit and the graphical xmpgedit applications.



*version 0.72beta December 31 2005*
  - Ported to Mac OSX Panther (10.3).  Special thanks go to Jared Benedict
    <http://redjar.org/jared/> and Public Radio Exchange <http://www.prx.org/>
    for the donation of a Macintosh G3 B&W computer, enabling the this
    porting work.

  - Added J command (join lines) to curses mpgedit.

  - Added -vvvv/-vvvvv options to mpgedit which display MD5 checksum for every
    mp3 frame processed.

  - Added -E option (suppress edit) to mpgedit. Useful when used with -v.

  - Added autoedit capability to mpgedit, which searches for silence
    between tracks and automatically creates edit start/stop times.

  - Improved overall design of xmpgedit GUI for ease of use.

  - Added graphic display of decoded mp3 volume levels to xmpgedit, and
    ability to make edits from the levels display.

  - Added -I option (suppress index generation). Useful for playing and
    editing files while they are being encoded.

  - Distribute mpgedit in "self-extracting executables" and Linux RPM files.

  - Added support for MAD: MPEG Audio Decoder.
	          	



*version 0.7p2beta December 19 2003*
  - Fixed xmpgedit core dump in all dialog boxes when dismissed using
    ESC key.

  - Install and search for xmpgedit pixmap icons in standard location.



*version 0.7p1beta December 2003*
  - py_mpgedit mpgedit python extension 0.2beta released
    for Linux and Windows.  New to this version:

    - Added volume control

    - Fixed exception handling when not using callbacks



*version 0.7p1beta November 2003*
  - py_mpgedit mpgedit python extension 0.1beta released
    for Linux and Windows.



*version 0.7p1beta October 4 2003*
  - Fixed 'make install' for xmpgedit.

  - Fixed mpgedit -l -L usage message.




*version 0.7beta September 2003*
  - mpgedit 0.7alpha 40 is mpgedit 0.7beta stable.



	                    	
*version 0.7alpha40 September 8 2003*
  - Refactor work in support contrib python mpgedit API development.

  - Finalize details for release of 0.7 beta.

  - Ported mpgedit and xmpgedit to Sparc Solaris 7.  

  - Windows xmpgedit is now a "Windows" app, instead of a "console" app.

  - Modified curses mpgedit to handle mp3 files that are 10000 minutes long.
    I actually have an mp3 file that is 1000+ minutes long. :)

  - Added Windows Inno Setup install package for mpgedit.



*version 0.7alpha39 July 27 2003*
  - Added Windows installer for xmpgedit.  The setup.exe file is generated by 
    Inno Setup, http://www.jrsoftware.org/isfaq.php.  This has only been 
    tested on W2K so far.

  - Fixed xmpgedit bug when joining multiple VBR files with Xing headers.
    The spliced file incorrectly contained Xing headers from each input
    file within the joined file, in addition to the correct header
    at the beginning of the file.



*version 0.7alpha38 July 21 2003*
  xmpgedit is now installed on Linux.  The pixmap files are installed in
  /usr/local/share/xmpgedit/, or install_dir/share/xmpgedit/ when mpgedit is
  installed elsewhere.  You must add to either your $HOME/.xmpgedit-gtkrc file
  or the shared /usr/local/etc/gtk-2.0/gtkrc file this entry:

      pixmap_path "/usr/local/share/xmpgedit"

  When this entry already exists, add the following:

      pixmap_path "previous_stuff:/usr/local/share/xmpgedit"


  These are the bugs fixed and enhancements present in this alpha release:

  - Fixed edit progress bar update for edits that span multiple input files.

  - Fixed synchronization problem between File->Options and popup->Options 
    menu check buttons.

  - Gray out/activate buttons on edit menu as appropriate for
    the state of the editor and the line selected.

  - Fixed problem with the start time being reset to zero after the 
    time slider or spin buttons were modified during playback.

  - Fixed abrupt exit of xmpgedit when unable to open the sound device.
    Added dialog to display warning when unable to open sound device.

  - Millisecond spinner is now zeroed when the second spinner is
    decremented.  This is now consistent with spinning second up.

  - Fix to prevent an unmodified save session itself needing to be saved.

  - Fixed core dump when an edit row is selected while playing a cut
    with the "playto" button.

  - Renamed "player" to "xmpgedit" and added to Linux install script.



*version 0.7alpha37 July 14 2003*
  This alpha release contains the first version of xmpgedit that functions
  well enough to be used for daily editing activities.  Additional testing
  is needed to determine the ultimate stability of this version.  However,
  initial use of this version is extremely encouraging.  After a few weeks
  of "living" with this version, the decision to promote this version to
  beta status will be made.
 
  Here is the change log for this development cycle:

  - Edits now work properly when input file is picked using the
    file selection control.

  - Warning dialogs are now displayed when there are uncommitted changes
    that will be lost.

  - Improved edit list selection performance, by using GTK_SELECTION_BROWSE
    mode.  Unfortunately, this decision also inherits a well-known GTK
    clist/modal dialog bug, that hangs the X server.  A seemingly stable work-
    around for this problem is implemented in this release.

  - Added duplicate previous edit line action.  

  - Added control that copies the previous edit line's end time to current
    edit line's start time.  This feature is very useful when cutting a single
    large file into individual segments.

  - Loading saved edit times from a saved session file now works properly.

  - Created "record" button pixmap, finally replacing the use of
    the "stop" pixmap for the record edit time control.

  - Added configurable pixmap search path using "pixmap_path" in file
    $HOME/.xmpgedit-gtkrc, and in gtkrc-2.0.



*version 0.7alpha35 June 10 2003*
  - Improved unscramble test efficiency and performance, especially for Win32.

  - Overall regression test performance improvements for Win32.



*version 0.7alpha34 June 3 2003*
  - Fixed regression test case "test24", which was failing due to
    missing "done." in mpgedit -vv output when indexing a new file.

  - Fixed -X2/xingheader.mp3 regression test cases, which previously
    deleted xingheader.mp3 after one run of the test script.

  - Updated mpgedit man page to document the -X2 option.



*version 0.7alpha33 (and 0.7alpha32) May 29 2003*
  - Added -X2 option, which adds a XING header to a file missing this
    header, then updates the XING statistics.



*version 0.7alpha31 May 11 2003*
  - Terminal resize events are now processed by curses implementation.
    The curses display output now adjusts when you drag an xterm do a
    different size.  Linux-only implementation, as I don't see a SIGWINCH 
    equivalent for Win32, and no resizeterm()/wresize() in standard
    SVR4 UNIX.

  - Fixed introduced bug that fails to repaint screen properly after
    help window closes



*version 0.7alpha30 May 5 2003*
  - Windows GUI volume control now functions.  Look for "gui/player.exe"

  - Added volume control to command line and curses versions.  Look for
    -l and -L options with command line version; v and V commands in
    curses version.

  - Fixed numerous curses display problems.



*version 0.7alpha29 February 2003*
  - Windows GUI version of xmpgedit is now working.  Look for "gui/player.exe".
    The GTK+ 2.x runtime libraries must be installed for this application 
    to run.  Download and install these libraries on your system before
    running player.exe. You must add the install directory to the PATH
    environment variable for player.exe to find these runtime files.
    Alternatively, you can copy player.exe into the gtk/lib directory, and
    run from that location.



*version 0.7alpha17 January 2003*
  - Releasing later alpha versions.  These releases are mostly stable, 
    but still in development, so implementation and features are in
    transition.  These releases will be updated periodically at stable
    development checkpoints.  Do not use yet for production work.  Do use
    for a peek at the cool, new features. :)

  - Added graphical interface version, xmpgedit.  The GUI is implemented
    in GTK+ v2.0.x. Only available for Linux at this time.  Will be
    ported to Win32 for beta release.

  - Re-wrote regression test scripts in Perl for portability to Win32.

  - Added new regression test cases.  MP3 file scrambling/unscrambling,
    and Xing header fixup (-X1 option) tests have been added.  File 
    scrambling (scramble.pl) randomizes the order of each frame for
    the input file; unscrambling (unscramble.pl) descrambles the random
    order of the scrambled file to the original state of the input file.

  - Refactored core editing code for xmpgedit GUI support.  Edit and
    playback APIs are the result of this work.  Not ready for public
    consumption, but will be exported in the beta release.



*version 0.6p1 - May 2002*
  - Fixed Xing header update bug; tracked down to a fwrite() flushing
    problem in fclose().  This problem only occured in testing using 
    curses mode, and audio playback was used before file editing of 
    MPEG1 layer 3 (mp3) files.

  - Fixed Xing header processing for single channel (mono audio) and 
    MPEG 2/2.5 files.  MPEG1 mono/stereo and MPEG2 mono/stereo files now
    have a correct Xing header written after editing.  Previous 
    mpgedit releases only wrote correct Xing headers for MPEG1 layer 3
    (mp3) files, but then only when the file flushing bug was 
    not encountered. :((

  - Fixed parsing of MPEG1 layer 1, and MPEG 2 layer 2 files. mpgedit
    has now been tested with MPEG1 layer 1/2/3, MPEG2 layer 2/3 files,
    and MPEG2.5 files.

  - Fixed sound playback of 11.025KHz mono MPEG 2/2.5 audio files on
    Win32 platforms.  These same files also did not play correctly using
    Media Player, but did on Linux with xmms/mpg123.  Assumed to be
    a limitation of the Win32 WaveOut API.

  - Enhanced regression test scripts to test Xing header updates for
    MPEG 1/2 files, and proper parsing of MPEG1 layer 1/2/3 and MPEG2/2.5 
    layer 2/3 encoded files.
 
  - Fixed playback bug that occurred when playing a combination of stereo 
    and mono files on the same command line.  The decoder plugin was
    not properly switching channel modes, resulting in sound playback that
    was either 2 times too fast or slow, when the preceeding file was
    a different number of channels than the current.

  - Enabled decoding of layer 1 and 2 encoded files in mpglib.  This build
    option was not used in previous releases of mpgedit, so audio playback
    of layer 1 and 2 files using the libdecoder_mpg123.so did not work.

  - Ported to HP-UX 10, and AIX 4.3.3.  Editing is known to work, but
    sound playback has not been tested.  These two platforms are still
    work in progress.

  - Changed to only attempt to load the playback plugin when the -c 
    (curses mode) or -p (file playback) command line options are specified.

  - Changed -h to display command line usage; -H displays the verbose
    command line help information.

  - Enhanced mpgedit version display (-V option) to show the julian date/
    time of the build, and the name of the platform binary was built for.


  
*version 0.6 - April 2002*
  - Added Win32 support

  - Added Solaris support

  - Added ability to edit files resident on read-only media.  mpgedit creates
    the index file and output file in the current working directory when
    the input audio file resides in a read-only directory, or is resident
    on read-only media, like CD-ROM.

  - Added regression test scripts that extensively exercises editing 
    capabilities of mpgedit, and verifies correctness of edits.  
    Run './test1.sh'.

  - Improved accuracy of sub-second edits.  Some edits were off by one 
    frame, approximately 26 ms, in version 0.5.  This problem has been
    fixed.  Added split/splice edit tests to test suite to insure 
    sub-second edits are functioning properly

  - Changed usage with respect to input file names.  Using -c, and in
    certain cases -e, you can now specify multiple input files without 
    use of -f.  For example, you can join multiple files together
    with: mpgedit -o join.mp3 -e- file1.mp3 file2.mp3 file3.mp3.

  - Fixed numerous editing problems with files containing junk data
    at the beginning or end of the input file.  Now properly edit 
    away ID3 tag data at the end of file.

  - Properly perform edits that include data up to the end of file.
    Earlier releases missed the last frame of input data, or added
    a frame or less of junk data.  This only happened when splicing
    complete input files together.

  - Usability improvements to Curses interface.  The input file name
    field is now fully editable with backspace/left/right arrow keys. 
    Ctrl-U (^U) now implements the clear input field (kill key).

  - Curses interface now displays the selected input file play length.
    See the "length:" field on the status line at the bottom of the screen.

  - Added summary of interactive commands for curses interface.  Enter 
    ? to display command summary.

  - Fixed MPEG 2 Layer 3 file processing.  The samples/frame value was
    off by a factor of 2, resulting in many strange editing problems.
    Only MPEG 2 Layer 3 editing is guaranteed, as no Layer 2 or 1 files
    are available for testing at this time.

  - Fixed cases where the silent flag (-s) did suppress output.

  - Added version option (-V) to display current mpgedit release information.
 
*version 0.5 - October 2001*

  - Fixed problem with MPEG file EOF detection and dropping of the last
    frame in a file.  This was originally discovered when performing
    operations on a file that is not an MPEG file at all, which crashed
    with a divide by zero error.  

  - Improved the mpgedit man page.

*version 0.4*

  - Modifications to build with automake.  

  - Added copyright information to files.

*version 0.3-0.1*

  - Development checkpoints.
